Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78006 - smrsh runs under wrong UID
Summary: smrsh runs under wrong UID
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-17 11:20 UTC by Nigel Horne
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-08 13:15:21 UTC


Attachments (Terms of Use)
Sample script in /etc/smrsh (deleted)
2002-11-17 11:22 UTC, Nigel Horne
no flags Details

Description Nigel Horne 2002-11-17 11:20:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.0.1) Gecko/20021003

Description of problem:
Your customer support told me to raise this as a bug here.

I am running sendmail-8.11.6-15 on RH7.3. I have not modified the 
sendmail.cf script, but something appears to be wrong. Scripts which 
execute in the /etc/smrsh directory run as the UID mail (from the 
DefaultUser specification) not the UID of the recipient. This is true even 
though the F=o option appears in this line from /etc/sendmail.cf:

Mprog,          P=/usr/sbin/smrsh, F=lsDFMoqeu9, S=EnvFromL/HdrFromL, 
R=EnvToL/HdrToL, D=$z:/,

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a script in /etc/smrsh that returns a 0 exit code
2.Add a suitable alias to /etc/aliases
	

Actual Results:  Bounces are sent as mail@localhost

Expected Results:  Bounces should be sent as the recipient

Additional info:

Your customer service people know the background.

Comment 1 Nigel Horne 2002-11-17 11:22:05 UTC
Created attachment 85347 [details]
Sample script in /etc/smrsh

Comment 2 Florian La Roche 2003-02-16 10:14:12 UTC
smrsh seems to work fine for me with the current sendmail rpm. Could
something be changed on your machine?

greetings,

Florian La Roche


Comment 3 Florian La Roche 2003-05-08 13:15:21 UTC
Closing this now, works ok for me.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.